
@for $i from 1 through 100
  .font-size-#{$i}
    font-size: #{$i}px

@for $i from 1 through 100
  .font-i-#{$i}
    font-size: #{$i}px !important

@for $i from 1 through 50
  .line-height-#{$i}
    line-height: #{$i}px

@for $i from 1 through 100
  .max__width__#{$i}
    max-width: #{$i}#{"%"}

@for $i from 1 through 300
  .width__#{$i}
    width: #{$i}px

$sizes: 200

@mixin padding-classes
  @for $i from 0 through $sizes
    $padding: #{$i}px
    .p-#{$i}
      padding: $padding
    .pl-#{$i}
      padding-left: $padding
    .pr-#{$i}
      padding-right: $padding
    .pt-#{$i}
      padding-top: $padding
    .pb-#{$i}
      padding-bottom: $padding
    .px-#{$i}
      padding-left: $padding
      padding-right: $padding
    .py-#{$i}
      padding-top: $padding
      padding-bottom: $padding
@include padding-classes
  
  
@mixin padding-classes-important
  @for $i from 0 through $sizes
    $padding: #{$i}px
    .p-i-#{$i}
      padding: $padding !important
    .pl-i-#{$i}
      padding-left: $padding !important
    .pr-i-#{$i}
      padding-right: $padding !important
    .pt-i-#{$i}
      padding-top: $padding !important
    .pb-i-#{$i}
      padding-bottom: $padding !important
    .px-i-#{$i}
      padding-left: $padding !important
      padding-right: $padding !important
    .py-i-#{$i}
      padding-top: $padding !important
      padding-bottom: $padding !important
@include padding-classes-important

@mixin margin-classes
  @for $i from 0 through $sizes
    $margin: #{$i}px
    .m-#{$i}
      margin: $margin
    .ml-#{$i}
      margin-left: $margin
    .mr-#{$i}
      margin-right: $margin
    .mt-#{$i}
      margin-top: $margin
    .mb-#{$i}
      margin-bottom: $margin
    .mx-#{$i}
      margin-left: $margin
      margin-right: $margin
    .my-#{$i}
      margin-top: $margin
      margin-bottom: $margin
@include margin-classes

@mixin margin-classes-important
  @for $i from 0 through $sizes
    $margin: #{$i}px
    .m-i-#{$i}
      margin: $margin !important
    .ml-i-#{$i}
      margin-left: $margin !important
    .mr-i-#{$i}
      margin-right: $margin !important
    .mt-i-#{$i}
      margin-top: $margin !important
    .mb-i-#{$i}
      margin-bottom: $margin !important
    .mx-i-#{$i}
      margin-left: $margin !important
      margin-right: $margin !important
    .my-i-#{$i}
      margin-top: $margin !important
      margin-bottom: $margin !important
@include margin-classes-important
